Package org.apache.felix.http.base.internal.handler

# Class FilterConfigImpl

java.lang.Object
org.apache.felix.http.base.internal.handler.FilterConfigImpl

All Implemented Interfaces:
  `jakarta.servlet.FilterConfig`

public final class FilterConfigImpl extends Object implements jakarta.servlet.FilterConfig
Implementation of the filter configuration.

## Constructor Summary

Constructors
Constructor
Description
`FilterConfigImpl(String name, jakarta.servlet.ServletContext context, Map<String,String> initParams)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFilterName()`
`String`
`getInitParameter(String name)`
`Enumeration<String>`
`getInitParameterNames()`
`jakarta.servlet.ServletContext`
`getServletContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterConfigImpl

public FilterConfigImpl(String name, jakarta.servlet.ServletContext context, Map<String,String> initParams)

## Method Details

### getFilterName

public String getFilterName()

Specified by:
  `getFilterName` in interface `jakarta.servlet.FilterConfig`

### getServletContext

public jakarta.servlet.ServletContext getServletContext()

Specified by:
  `getServletContext` in interface `jakarta.servlet.FilterConfig`

### getInitParameter

public String getInitParameter(String name)

Specified by:
  `getInitParameter` in interface `jakarta.servlet.FilterConfig`

### getInitParameterNames

public Enumeration<String> getInitParameterNames()

Specified by:
  `getInitParameterNames` in interface `jakarta.servlet.FilterConfig`